Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.portal
Class PropertyEditorHelper

    java.lang.Object
      com.bea.wli.worklist.portal.PropertyEditorHelper

All Implemented Interfaces:
  Serializable

    public class PropertyEditorHelper

extends Object
implements Serializable

Utility class to hold state during the editing of a property (e.g. from the UpdateActionForm returned by TaskUIPageFlowController.getUpdateActionForm()). The edit will occur in a stand-alone editor like the Text or JavaBean/XMLBean editor. This helper maintains an array of PropertyInstanceHolder objects, and can be told to designate one of them as the 'active' property being edited. This helper can then apply the new property value to that property or discard it if the edit is cancelled.

See Also:
  `TaskUIPageFlowController.getUpdateActionForm()`, `UpdateActionForm.getProperties()`, `TakeStepActionActionForm.getProperties()`, Serialized Form

Field Summary
`protected EditorValueHolder` | `_editorValue`

Constructor Summary
`PropertyEditorHelper()`

Method Summary
`void` | `cancelPropActionHelper()` Cancel the edit to the active property and clear the setting of 'active' flag on the active property.
`Forward` | `editPropActionHelper(HttpServletRequest request)` Begin editing the property identified by the following properties in the request.
`EditorValueHolder` | `getEditorValue()`
`PropertyInstanceHolder[]` | `getProperties()`
`void` | `initializePropertyEditors()`
`void` | `okPropActionHelper(EditorValueHolder value)` Finish an edit to the active property.
`void` | `setProperties(PropertyInstanceHolder[] properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _editorValue

    protected EditorValueHolder _editorValue

Constructor Detail

### PropertyEditorHelper

    public PropertyEditorHelper()

Method Detail

### getProperties

    public PropertyInstanceHolder[] getProperties()

### setProperties

    public void setProperties(PropertyInstanceHolder[] properties)

### getEditorValue

    public EditorValueHolder getEditorValue()

### editPropActionHelper

    public Forward editPropActionHelper(HttpServletRequest request)
                                 throws ManagementException,
                                        DataTypeException

  Begin editing the property identified by the following properties in the request.

  - editorKey - the key for the editor that will be used to do the edit
  - propName - the name of the property (from the props in the array of props being managed by this helper
  - readOnly - if true, the editor will be shown in read-only mode

  Parameters:
    `request` - The active HttpServletRequest from which the property key values will be obtained.
  Returns:
    A Forward object to the stand-alone editor that will handle editing the new value for the active property.
  Throws:
    `ManagementException`
    `DataTypeException`

### okPropActionHelper

    public void okPropActionHelper(EditorValueHolder value)
                            throws DataTypeException

  Finish an edit to the active property. The edited value (created in the stand-alone editor designated in the editPropActionHelper call, and represented by the EditorValueHolder form bean) is applied to the underlying property instance.

  Parameters:
    `value` - The EditorValueHolder returned by the stand-aloned editor that was invoked to edit the active property for this helper.
  Throws:
    `DataTypeException`

### cancelPropActionHelper

    public void cancelPropActionHelper()

  Cancel the edit to the active property and clear the setting of 'active' flag on the active property.

### initializePropertyEditors

    public void initializePropertyEditors()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD